Subject: registration of application/set-registration

From: Brian Korver <briank&terisa.com>
Date: Tue, 16 Jul 1996 09:11:36 -0700 (PDT)

The registration request attached below was posted to ietf-types&uninett.no
on June 19, 1996.  Since there have been no comments, I would like to see
this type registered.

MEDIA TYPE NAME:
application

MEDIA SUBTYPE NAME:
set-registration

PURPOSE:
This media subtype identifies Secure Electronic Transaction (SET)
messages that are part of SET's registration sequence.  Registration
is the process by which entities obtain X.509v3 certificates which
are used for digital signatures and for exchanging encryption keys.

REQUIRED PARAMETERS:
none

OPTIONAL PARAMETERS:
none

ENCODING CONSIDERATIONS:

Secure Electronic Transaction (SET) messages are in a binary format,
using ASN.1 DER encoding as specified in ITU-T Recommendation X.690.
These encodings may include encrypted information which is itself
DER encoded.

SECURITY CONSIDERATIONS:

SET is designed so that all sensitive information is either encrypted
or blinded and as such secure communication channels are not required
for privacy reasons.  Although an eavesdropper observing SET messages
can perform basic traffic analysis, the security of financial and
and other private information is ensured through the use of encryption
privacy and digital signatures for authentication of origin and integrity
protection.  No SET message contains "executable" information of any kind.

PUBLISHED SPECIFICATION:

The published specification is available from either http://www.visa.com or
http://www.mastercard.com.

COMPANY CONTACT:
 
Visa International
PO Box 8999
San Francisco, CA 94128

MasterCard International
2000 Purchase Street
Purchase NY 10577